KEA-NETCONF(8)

NAME
kea-netconf - NETCONF agent for Kea environment

SYNOPSIS

kea-netconf [-v] [-V] [-W] [-d] [-c config-file] [-t config-file]

DESCRIPTION

The kea-netconf agent provides a YANG/NETCONF interface for the Kea environment.

ARGUMENTS

The arguments are as follows:

-v  Displays the version.

-V  Displays the extended version.

-W  Displays the configuration report.

-d  Enables the debug mode with extra verbosity.

-c config-file
    Specifies the file with the configuration for the NETCONF agent.

-t config-file
    Checks the syntax of the configuration file and reports the first error, if any. Note that not all parameters are completely checked; in particular, service and client sockets are not opened, and hook libraries are not loaded.

DOCUMENTATION

Kea comes with an extensive Kea Administrator Reference Manual that covers all aspects of running the Kea software - compilation, installation, configuration, configuration examples, and much more. Kea also features a Kea Messages Manual, which lists all possible messages Kea can print with a brief description for each of them. Both documents are available in various formats (.txt, .html, .pdf) with the Kea distribution. The Kea documentation is available at https://kb.isc.org/docs/kea-administrator-reference-manual .

Kea source code is documented in the Kea Developer's Guide. Its online version is available at https://jenkins.isc.org/job/Kea_doc/doxygen/.

The Kea project website is available at https://kea.isc.org.

MAILING LISTS AND SUPPORT

There are two public mailing lists available for the Kea project. kea-users (kea-users at lists.isc.org) is intended for Kea users, while kea-dev (kea-dev at lists.isc.org) is intended for Kea developers, prospective contributors, and other advanced users. Both lists are available at https://lists.isc.org. The community provides best-effort support on both of those lists.

ISC provides professional support for Kea services. See https://www.isc.org/kea/ for details.

HISTORY

Early prototypes of kea-netconf implementation were written during IETF Hackathons in Berlin, London, and Montreal. An actual production-ready implementation was started in August 2018 by Tomek Mrugalski and Francis Dupont.

SEE ALSO

kea-dhcp4(8), kea-dhcp6(8), kea-dhcp-ddns(8), kea-ctrl-agent(8), kea-admin(8), keactrl(8), perfdhcp(8), kea-lfc(8), Kea Administrator Reference Manual.

AUTHOR
Internet Systems Consortium

COPYRIGHT
2019-2020, Internet Systems Consortium